net.minecraft.network.play

## Interface INetHandlerPlayClient

- All Superinterfaces:
    INetHandler
  All Known Implementing Classes:
    NetHandlerPlayClient

      public interface INetHandlerPlayClient
      extends INetHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleAnimation(S0BPacketAnimation var1)`
    `void` | `handleBlockAction(S24PacketBlockAction var1)`
    `void` | `handleBlockBreakAnim(S25PacketBlockBreakAnim var1)`
    `void` | `handleBlockChange(S23PacketBlockChange var1)`
    `void` | `handleChangeGameState(S2BPacketChangeGameState var1)`
    `void` | `handleChat(S02PacketChat var1)`
    `void` | `handleChunkData(S21PacketChunkData var1)`
    `void` | `handleCloseWindow(S2EPacketCloseWindow var1)`
    `void` | `handleCollectItem(S0DPacketCollectItem var1)`
    `void` | `handleConfirmTransaction(S32PacketConfirmTransaction var1)`
    `void` | `handleCustomPayload(S3FPacketCustomPayload var1)`
    `void` | `handleDestroyEntities(S13PacketDestroyEntities var1)`
    `void` | `handleDisconnect(S40PacketDisconnect var1)`
    `void` | `handleDisplayScoreboard(S3DPacketDisplayScoreboard var1)`
    `void` | `handleEffect(S28PacketEffect var1)`
    `void` | `handleEntityAttach(S1BPacketEntityAttach var1)`
    `void` | `handleEntityEffect(S1DPacketEntityEffect var1)`
    `void` | `handleEntityEquipment(S04PacketEntityEquipment var1)`
    `void` | `handleEntityHeadLook(S19PacketEntityHeadLook var1)`
    `void` | `handleEntityMetadata(S1CPacketEntityMetadata var1)`
    `void` | `handleEntityMovement(S14PacketEntity var1)`
    `void` | `handleEntityProperties(S20PacketEntityProperties var1)`
    `void` | `handleEntityStatus(S19PacketEntityStatus var1)`
    `void` | `handleEntityTeleport(S18PacketEntityTeleport var1)`
    `void` | `handleEntityVelocity(S12PacketEntityVelocity var1)`
    `void` | `handleExplosion(S27PacketExplosion var1)`
    `void` | `handleHeldItemChange(S09PacketHeldItemChange var1)`
    `void` | `handleJoinGame(S01PacketJoinGame var1)`
    `void` | `handleKeepAlive(S00PacketKeepAlive var1)`
    `void` | `handleMapChunkBulk(S26PacketMapChunkBulk var1)`
    `void` | `handleMaps(S34PacketMaps var1)`
    `void` | `handleMultiBlockChange(S22PacketMultiBlockChange var1)`
    `void` | `handleOpenWindow(S2DPacketOpenWindow var1)`
    `void` | `handleParticles(S2APacketParticles var1)`
    `void` | `handlePlayerAbilities(S39PacketPlayerAbilities var1)`
    `void` | `handlePlayerListItem(S38PacketPlayerListItem var1)`
    `void` | `handlePlayerPosLook(S08PacketPlayerPosLook var1)`
    `void` | `handleRemoveEntityEffect(S1EPacketRemoveEntityEffect var1)`
    `void` | `handleRespawn(S07PacketRespawn var1)`
    `void` | `handleScoreboardObjective(S3BPacketScoreboardObjective var1)`
    `void` | `handleSetExperience(S1FPacketSetExperience var1)`
    `void` | `handleSetSlot(S2FPacketSetSlot var1)`
    `void` | `handleSignEditorOpen(S36PacketSignEditorOpen var1)`
    `void` | `handleSoundEffect(S29PacketSoundEffect var1)`
    `void` | `handleSpawnExperienceOrb(S11PacketSpawnExperienceOrb var1)`
    `void` | `handleSpawnGlobalEntity(S2CPacketSpawnGlobalEntity var1)`
    `void` | `handleSpawnMob(S0FPacketSpawnMob var1)`
    `void` | `handleSpawnObject(S0EPacketSpawnObject var1)`
    `void` | `handleSpawnPainting(S10PacketSpawnPainting var1)`
    `void` | `handleSpawnPlayer(S0CPacketSpawnPlayer var1)`
    `void` | `handleSpawnPosition(S05PacketSpawnPosition var1)`
    `void` | `handleStatistics(S37PacketStatistics var1)`
    `void` | `handleTabComplete(S3APacketTabComplete var1)`
    `void` | `handleTeams(S3EPacketTeams var1)`
    `void` | `handleTimeUpdate(S03PacketTimeUpdate var1)`
    `void` | `handleUpdateHealth(S06PacketUpdateHealth var1)`
    `void` | `handleUpdateScore(S3CPacketUpdateScore var1)`
    `void` | `handleUpdateSign(S33PacketUpdateSign var1)`
    `void` | `handleUpdateTileEntity(S35PacketUpdateTileEntity var1)`
    `void` | `handleUseBed(S0APacketUseBed var1)`
    `void` | `handleWindowItems(S30PacketWindowItems var1)`
    `void` | `handleWindowProperty(S31PacketWindowProperty var1)`

    - ### Methods inherited from interface net.minecraft.network.INetHandler

      `onConnectionStateTransition, onDisconnect, onNetworkTick`

- - ### Method Detail

    - #### handleSpawnObject

          void handleSpawnObject(S0EPacketSpawnObject var1)

    - #### handleSpawnExperienceOrb

          void handleSpawnExperienceOrb(S11PacketSpawnExperienceOrb var1)

    - #### handleSpawnGlobalEntity

          void handleSpawnGlobalEntity(S2CPacketSpawnGlobalEntity var1)

    - #### handleSpawnMob

          void handleSpawnMob(S0FPacketSpawnMob var1)

    - #### handleScoreboardObjective

          void handleScoreboardObjective(S3BPacketScoreboardObjective var1)

    - #### handleSpawnPainting

          void handleSpawnPainting(S10PacketSpawnPainting var1)

    - #### handleSpawnPlayer

          void handleSpawnPlayer(S0CPacketSpawnPlayer var1)

    - #### handleAnimation

          void handleAnimation(S0BPacketAnimation var1)

    - #### handleStatistics

          void handleStatistics(S37PacketStatistics var1)

    - #### handleBlockBreakAnim

          void handleBlockBreakAnim(S25PacketBlockBreakAnim var1)

    - #### handleSignEditorOpen

          void handleSignEditorOpen(S36PacketSignEditorOpen var1)

    - #### handleUpdateTileEntity

          void handleUpdateTileEntity(S35PacketUpdateTileEntity var1)

    - #### handleBlockAction

          void handleBlockAction(S24PacketBlockAction var1)

    - #### handleBlockChange

          void handleBlockChange(S23PacketBlockChange var1)

    - #### handleChat

          void handleChat(S02PacketChat var1)

    - #### handleTabComplete

          void handleTabComplete(S3APacketTabComplete var1)

    - #### handleMultiBlockChange

          void handleMultiBlockChange(S22PacketMultiBlockChange var1)

    - #### handleMaps

          void handleMaps(S34PacketMaps var1)

    - #### handleConfirmTransaction

          void handleConfirmTransaction(S32PacketConfirmTransaction var1)

    - #### handleCloseWindow

          void handleCloseWindow(S2EPacketCloseWindow var1)

    - #### handleWindowItems

          void handleWindowItems(S30PacketWindowItems var1)

    - #### handleOpenWindow

          void handleOpenWindow(S2DPacketOpenWindow var1)

    - #### handleWindowProperty

          void handleWindowProperty(S31PacketWindowProperty var1)

    - #### handleSetSlot

          void handleSetSlot(S2FPacketSetSlot var1)

    - #### handleCustomPayload

          void handleCustomPayload(S3FPacketCustomPayload var1)

    - #### handleDisconnect

          void handleDisconnect(S40PacketDisconnect var1)

    - #### handleUseBed

          void handleUseBed(S0APacketUseBed var1)

    - #### handleEntityStatus

          void handleEntityStatus(S19PacketEntityStatus var1)

    - #### handleEntityAttach

          void handleEntityAttach(S1BPacketEntityAttach var1)

    - #### handleExplosion

          void handleExplosion(S27PacketExplosion var1)

    - #### handleChangeGameState

          void handleChangeGameState(S2BPacketChangeGameState var1)

    - #### handleKeepAlive

          void handleKeepAlive(S00PacketKeepAlive var1)

    - #### handleChunkData

          void handleChunkData(S21PacketChunkData var1)

    - #### handleMapChunkBulk

          void handleMapChunkBulk(S26PacketMapChunkBulk var1)

    - #### handleEffect

          void handleEffect(S28PacketEffect var1)

    - #### handleJoinGame

          void handleJoinGame(S01PacketJoinGame var1)

    - #### handleEntityMovement

          void handleEntityMovement(S14PacketEntity var1)

    - #### handlePlayerPosLook

          void handlePlayerPosLook(S08PacketPlayerPosLook var1)

    - #### handleParticles

          void handleParticles(S2APacketParticles var1)

    - #### handlePlayerAbilities

          void handlePlayerAbilities(S39PacketPlayerAbilities var1)

    - #### handlePlayerListItem

          void handlePlayerListItem(S38PacketPlayerListItem var1)

    - #### handleDestroyEntities

          void handleDestroyEntities(S13PacketDestroyEntities var1)

    - #### handleRemoveEntityEffect

          void handleRemoveEntityEffect(S1EPacketRemoveEntityEffect var1)

    - #### handleRespawn

          void handleRespawn(S07PacketRespawn var1)

    - #### handleEntityHeadLook

          void handleEntityHeadLook(S19PacketEntityHeadLook var1)

    - #### handleHeldItemChange

          void handleHeldItemChange(S09PacketHeldItemChange var1)

    - #### handleDisplayScoreboard

          void handleDisplayScoreboard(S3DPacketDisplayScoreboard var1)

    - #### handleEntityMetadata

          void handleEntityMetadata(S1CPacketEntityMetadata var1)

    - #### handleEntityVelocity

          void handleEntityVelocity(S12PacketEntityVelocity var1)

    - #### handleEntityEquipment

          void handleEntityEquipment(S04PacketEntityEquipment var1)

    - #### handleSetExperience

          void handleSetExperience(S1FPacketSetExperience var1)

    - #### handleUpdateHealth

          void handleUpdateHealth(S06PacketUpdateHealth var1)

    - #### handleTeams

          void handleTeams(S3EPacketTeams var1)

    - #### handleUpdateScore

          void handleUpdateScore(S3CPacketUpdateScore var1)

    - #### handleSpawnPosition

          void handleSpawnPosition(S05PacketSpawnPosition var1)

    - #### handleTimeUpdate

          void handleTimeUpdate(S03PacketTimeUpdate var1)

    - #### handleUpdateSign

          void handleUpdateSign(S33PacketUpdateSign var1)

    - #### handleSoundEffect

          void handleSoundEffect(S29PacketSoundEffect var1)

    - #### handleCollectItem

          void handleCollectItem(S0DPacketCollectItem var1)

    - #### handleEntityTeleport

          void handleEntityTeleport(S18PacketEntityTeleport var1)

    - #### handleEntityProperties

          void handleEntityProperties(S20PacketEntityProperties var1)

    - #### handleEntityEffect

          void handleEntityEffect(S1DPacketEntityEffect var1)